com.google.gwt.uibinder.elementparsers

## Class AttributeMessageInterpreter

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.AttributeMessageInterpreter

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

    class AttributeMessageInterpreter
    extends java.lang.Object
    implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

Examines each element for child <ui:attr/> elements, and replaces the corresponding attributes of the examinee with references to the translatable messages created.

That is, when examining element foo in

       <foo bar="baz">
         <ui:attr name="baz">
       </foo>

cosume the ui:attr element, and declare a method on the Messages interface with @Default("baz")

### Constructor Summary

Constructors
Constructor and Description
`AttributeMessageInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)` Given an XMLElement, return its filtered value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeMessageInterpreter

    public AttributeMessageInterpreter(com.google.gwt.uibinder.rebind.UiBinderWriter writer)

### Method Detail

#### interpretElement

    public java.lang.String interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)
                                      throws UnableToCompleteException

Description copied from interface: `com.google.gwt.uibinder.rebind.XMLElement.Interpreter`
Given an XMLElement, return its filtered value.

Specified by:
  `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
Throws:
  `UnableToCompleteException` - on error